@use "vars-svm" as vars;

// also see svm-overwritten-material-styles.scss for styling of mat-slider
$slider-margins: calc(#{vars.$zoom-slider-thumb-width}/2);


.ext-zoom-slider-container {
  display: flex;
  transform: rotate(180deg);
}

.inner-div {
  display: contents;
  justify-content: center;
}

.slider-margin {
  // add margins to prevent slider thumb overlaying zoom buttons
  margin-left: $slider-margins;
  margin-right: $slider-margins;
}

.right-button {
  border-bottom-left-radius: 0%;
  border-top-left-radius: 0%;
}

.left-button {
  border-bottom-right-radius: 0%;
  border-top-right-radius: 0%;
}

.zoom-button {
  position: relative;
  min-width: vars.$zoom-button-width;
  width: vars.$zoom-button-width;
  padding: 0 0;
}

.mat-mdc-unelevated-button>.mat-icon {
  font-size: vars.$default-icon-size;
  width: vars.$default-icon-size;
  height: vars.$default-icon-size;
  margin: 0;
}

